Summary:     	Show and delete mail on pop3 servers
Name:			kshowmail
Version:		3.0.3
Release:		4mdk
License:		GPL
Url:         	http://sourceforge.net/projects/kshowmail/
Group:       	Networking/Mail
Source:      	kshowmail-%{version}.tar.bz2
Patch1:			kshowmail-3.0.2-fix-compile-gcc-3.1.patch.bz2
Patch2:			kshowmail-3.0.2-fix-compile-gcc-3.1-2.patch.bz2

BuildRoot:   	%{_tmppath}/%{name}-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-static-libs
BuildRequires:  automake arts autoconf diffutils kdelibs file m4 texinfo gettext libjpeg62-devel
BuildRequires:  kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 db1 libqt3-devel rpm-build kdenetwork-devel
Obsoletes: kde3-kshowmail

%description
KShowmail is a KDE utility to show headers or the complete mails on pop3 
servers without transfering them to the local mail client. Unpleasant mails can
be deleted on the server.  The information can be refreshed via timers.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -nkshowmail-%{version}
#%patch1 -p1
#%patch2 -p1

%build
# laurent kshowmail 2.2.0 CFLAGS doesn't work
#CFLAGS="%optflags" CXXFLAGS="%optflags" \


# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt3 \
		    --disable-rpath \
		    --disable-debug \
		    --enable-final
													     
%install
rm -rf $RPM_BUILD_ROOT
 
make install prefix=$RPM_BUILD_ROOT/%_prefix 

install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl kshowmail Networking/Mail %buildroot/%_datadir/applnk/Internet/kshowmail.desktop %buildroot/%_menudir/kshowmail

 

%find_lang %name
 
%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT/


%files -f %name.lang 
%defattr (-,root,root)
%_bindir/*
%_datadir/applnk/Internet/*.desktop

%dir %_datadir/apps/kshowmail/
%dir %_datadir/apps/kshowmail/pics/
%_datadir/apps/kshowmail/*.rc
%_datadir/apps/kshowmail/pics/*.png

%_datadir/icons/hicolor/16x16/apps/*.png


%dir %_datadir/apps/kshowmail/sounds/
%_datadir/apps/kshowmail/sounds/*.wav

%dir %_datadir/doc/HTML/en/kshowmail/
%doc %_datadir/doc/HTML/en/kshowmail/*.bz2
%doc %_datadir/doc/HTML/en/kshowmail/*.docbook

%dir %_datadir/doc/HTML/de/kshowmail/
%doc %_datadir/doc/HTML/de/kshowmail/*.bz2
%doc %_datadir/doc/HTML/de/kshowmail/*.docbook

%dir %_datadir/doc/HTML/es/kshowmail/
%doc %_datadir/doc/HTML/es/kshowmail/*.bz2
%doc %_datadir/doc/HTML/es/kshowmail/*.docbook

%dir %_datadir/doc/HTML/fr/kshowmail/
%doc %_datadir/doc/HTML/fr/kshowmail/*.bz2
%doc %_datadir/doc/HTML/fr/kshowmail/*.docbook

%dir %_datadir/doc/HTML/sv/kshowmail/
%doc %_datadir/doc/HTML/sv/kshowmail/*.bz2
%doc %_datadir/doc/HTML/sv/kshowmail/*.docbook



%_menudir/*

%changelog
* Mon Aug 19 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-4mdk
- Rebuild
- Update URL

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Rebuild against gcc-3.2

* Mon Jul 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3

* Mon Jul 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Rebuild

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- 3.0.1

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.beta4.1mdk
- beta4

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.beta2.2mdk
- Rebuild against gcc3.1

* Thu May 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.beta2.1mdk
- version 3.0.1-beta2

* Fri Apr 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.beta1.2mdk
- Fix crash

* Fri Apr 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.beta1.1mdk
- version 3.0.1-beta

* Sun Apr 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- version 3.0.0

* Sun Apr 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.1mdk
- Port to kde 3.0

